summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Marek Srejma2021-02-26 18:51:28 +0100
committer Willy Sudiarto Raharjo2021-02-27 02:24:28 +0100
commitdce18bbfe4405cb691c9f196e9a0b545655f0005 (patch)
tree432bd5fb777319043e2defe3d558f287ed9b4d3a
parent0707ec073b931dfd1f42d46785a37921d0929f93 (diff)
downloadslackbuilds-dce18bbfe4405cb691c9f196e9a0b545655f0005.tar.gz
graphics/xmedcon: Updated for version 0.17.0.
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--graphics/xmedcon/doinst.sh26
-rw-r--r--graphics/xmedcon/slack-desc2
-rw-r--r--graphics/xmedcon/xmedcon.SlackBuild17
-rw-r--r--graphics/xmedcon/xmedcon.desktop1
-rw-r--r--graphics/xmedcon/xmedcon.info8
5 files changed, 17 insertions, 37 deletions
diff --git a/graphics/xmedcon/doinst.sh b/graphics/xmedcon/doinst.sh
index 9b66a71f65..9a8ded3c60 100644
--- a/graphics/xmedcon/doinst.sh
+++ b/graphics/xmedcon/doinst.sh
@@ -1,29 +1,3 @@
-config() {
- NEW="$1"
- OLD="$(dirname $NEW)/$(basename $NEW .new)"
- # If there's no config file by that name, mv it over:
- if [ ! -r $OLD ]; then
- mv $NEW $OLD
- elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
- # toss the redundant copy
- rm $NEW
- fi
- # Otherwise, we leave the .new copy for the admin to consider...
-}
-
-preserve_perms() {
- NEW="$1"
- OLD="$(dirname $NEW)/$(basename $NEW .new)"
- if [ -e $OLD ]; then
- cp -a $OLD ${NEW}.incoming
- cat $NEW > ${NEW}.incoming
- mv ${NEW}.incoming $NEW
- fi
- config $NEW
-}
-
-config etc/xmedconrc.new
-
if [ -x /usr/bin/update-desktop-database ]; then
/usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi
diff --git a/graphics/xmedcon/slack-desc b/graphics/xmedcon/slack-desc
index 2e1192cf80..febee6646e 100644
--- a/graphics/xmedcon/slack-desc
+++ b/graphics/xmedcon/slack-desc
@@ -6,7 +6,7 @@
# customary to leave one space after the ':' except on otherwise blank lines.
|-----handy-ruler------------------------------------------------------|
-xmedcon: xmedcon (X)
+xmedcon: (X)MedCon (Medical Image Conversion)
xmedcon:
xmedcon: a medical image conversion utility & library; hereby hoping to lower
xmedcon: at least one barrier in medical research projects.
diff --git a/graphics/xmedcon/xmedcon.SlackBuild b/graphics/xmedcon/xmedcon.SlackBuild
index 755d0ac46f..74c04c01e5 100644
--- a/graphics/xmedcon/xmedcon.SlackBuild
+++ b/graphics/xmedcon/xmedcon.SlackBuild
@@ -2,7 +2,7 @@
#
# Slackware build script for (X)MedCon
#
-# Copyright 2016 Marek Srejma (sam_web@yahoo.de)
+# Copyright 2016-2021 Marek Srejma (sam@modweb.de)
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=xmedcon
-VERSION=${VERSION:-0.16.3}
+VERSION=${VERSION:-0.17.0}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -84,11 +84,16 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | \
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
find $PKG/usr/man -type f -exec gzip -9 {} \;
-for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+for i in $( find $PKG/usr/man -type l )
+do
+ ln -s $( readlink $i ).gz $i.gz
+ rm $i
+done
mv $PKG/usr/etc $PKG/
mv $PKG/etc/xmedconrc $PKG/etc/xmedconrc.new
@@ -101,7 +106,7 @@ install -m644 $CWD/xmedcon.desktop $PKG/usr/share/applications/xmedcon.desktop
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \
- AUTHORS COPYING COPYING.LIB ChangeLog INSTALL NEWS README REMARKS \
+ AUTHORS COPYING COPYING.LIB INSTALL NEWS README REMARKS \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
diff --git a/graphics/xmedcon/xmedcon.desktop b/graphics/xmedcon/xmedcon.desktop
index d1c267ec46..95e6adf0e1 100644
--- a/graphics/xmedcon/xmedcon.desktop
+++ b/graphics/xmedcon/xmedcon.desktop
@@ -5,3 +5,4 @@ GenericName=Medical Image Conversion
Exec=xmedcon
Icon=xmedcon
Categories=Graphics;Utility;
+MimeType=application/dicom;
diff --git a/graphics/xmedcon/xmedcon.info b/graphics/xmedcon/xmedcon.info
index ec4cbe4249..6c97e4f52e 100644
--- a/graphics/xmedcon/xmedcon.info
+++ b/graphics/xmedcon/xmedcon.info
@@ -1,10 +1,10 @@
PRGNAM="xmedcon"
-VERSION="0.16.3"
+VERSION="0.17.0"
HOMEPAGE="http://xmedcon.sourceforge.net/"
-DOWNLOAD="https://downloads.sourceforge.net/project/xmedcon/XMedCon-Source/0.16.3/xmedcon-0.16.3.tar.bz2"
-MD5SUM="f9369c3e39ec1e9c0db3e6a1b538b931"
+DOWNLOAD="https://downloads.sourceforge.net/project/xmedcon/XMedCon-Source/0.17.0/xmedcon-0.17.0.tar.bz2"
+MD5SUM="5193242f66fb2a393902c332ef74e9b1"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
MAINTAINER="Marek Srejma"
-EMAIL="sam_web@yahoo.de"
+EMAIL="sam@modweb.de"